import { OpenAPIV3 } from 'openapi-types';
type JSONValue = string | number | boolean | null | JSONValue[] | {
    [key: string]: JSONValue;
};
/**
 * Generate a JSON example from a schema
 */
export declare function generateSchemaExample(schema: OpenAPIV3.SchemaObject, options?: {
    onlyRequired?: boolean;
}, ancestors?: Set<OpenAPIV3.SchemaObject>): JSONValue | undefined;
/**
 * Generate an example for a media type.
 */
export declare function generateMediaTypeExample(mediaType: OpenAPIV3.MediaTypeObject, options?: {
    onlyRequired?: boolean;
}): JSONValue | undefined;
export {};
